﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="CS.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="scripts/jquery-1.3.2.min.js" type="text/javascript"></script>
    <script type='text/javascript' src='http://www.google.com/jsapi'></script>
    <script src='http://maps.google.com/maps?file=api&v=2&key=ABCDEFG' type='text/javascript'></script>
    <script type='text/javascript'>
    google.load('visualization', '1', {'packages': ['geomap']});
    google.setOnLoadCallback(OnLoad);
    function OnLoad() {
        $.ajax({
            type: "POST",
            url: "CS.aspx/CreateWorldMap",
            data: '{}',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: DrawWorldMap
        });
    }
    var countryCode;
    function DrawWorldMap(response) {

        var data = new google.visualization.DataTable();
        data.addRows(response.d.length);
        data.addColumn('string', 'Country');
        data.addColumn('number', 'Popularity');
        for (var i = 0; i < response.d.length; i++) {
            data.setValue(i, 0, response.d[i].Country);
            data.setValue(i, 1, response.d[i].Popularity);
        }
        var options = {};
        options['dataMode'] = 'regions';

        var container = document.getElementById('map_canvas');
        var geomap = new google.visualization.GeoMap(container);
        geomap.draw(data, options);

        google.visualization.events.addListener(
        geomap, 'regionClick', function(e) {
            countryCode = e['region'];
            DrillDown();
        });

    }

    function DrillDown() {

      $.ajax({
          type: "POST",
          url: "CS.aspx/GetCities",
          data: '{CountryCode: "' + countryCode + '"}',
          contentType: "application/json; charset=utf-8",
          dataType: "json",
          success: CreateCountryMap
       });
    }

    function CreateCountryMap(response) {
      var data = new google.visualization.DataTable();
      data.addColumn('string', 'City');
      data.addColumn('number', 'Popularity');
      data.addRows(response.d.length);
      for (var i = 0; i < response.d.length; i++) {
          data.setValue(i, 0, "'" + response.d[i].City + "'");
          data.setValue(i, 1, response.d[i].Popularity);
      }
      var options = {};
      options['region'] = countryCode;
      options['colors'] = [0xFF8747, 0xFFB581, 0xc06000]; //orange colors
      options['dataMode'] = 'markers';
      options['showZoomOut'] = true;

      var container = document.getElementById('map_canvas');
      var geomap = new google.visualization.GeoMap(container);
      geomap.draw(data, options);
      google.visualization.events.addListener(
      geomap, 'zoomOut', function(e) {
      OnLoad();
      });
    }
 
  </script>
</head>
<body>
    <form id="form1" runat="server">
   <div id='map_canvas'></div>
    </form>
</body>
</html>
